Bug 826992 - 3.1 - [vdsm] deleteImage does not deletes images on local storage domain
3.1 - [vdsm] deleteImage does not deletes images on local storage domain
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity unspecified
: rc
: ---
Assigned To: Yeela Kaplan
Haim
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 07:32 EDT by Kiril Nesenko
Modified: 2016-02-02 17:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 07:25:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiril Nesenko 2012-05-31 07:32:41 EDT
Description of problem:
deleteImage does not deletes images on local storage domain.

Thread-8689::INFO::2012-05-30 14:42:56,801::volume::420::Storage.Volume::(setLegality) sdUUID=477214bd-9fd3-4d70-9066-18d77b8f1b9d imgUUID=df31a760-f418-4e5f-a495-abbbf38bfb26 volUUID = 4d4a2f8c-2ebe-4f38-875b-0c79ba6a49b5 legality = ILLEGAL 


/rhev/                                                           
`-- data-center                                                  
    |-- 5790e202-c8f9-431d-9dff-99c54d33867e                     
    |   |-- 477214bd-9fd3-4d70-9066-18d77b8f1b9d -> /rhev/data-center/mnt/_storage/477214bd-9fd3-4d70-9066-18d77b8f1b9d
    |   |   |-- dom_md                                                                                                 
    |   |   |   |-- ids                                                                                                
    |   |   |   |-- inbox                                                                                              
    |   |   |   |-- leases
    |   |   |   |-- metadata
    |   |   |   `-- outbox
    |   |   |-- images
    |   |   |   |-- df31a760-f418-4e5f-a495-abbbf38bfb26
    |   |   |   |   |-- 4d4a2f8c-2ebe-4f38-875b-0c79ba6a49b5
    |   |   |   |   `-- 4d4a2f8c-2ebe-4f38-875b-0c79ba6a49b5.meta
    |   |   |   `-- ffd021e0-45ae-429a-ae19-bc440aa01846
    |   |   |       |-- 4db5f5a2-65bc-4a1b-baf5-ea3b286f5ffc
    |   |   |       `-- 4db5f5a2-65bc-4a1b-baf5-ea3b286f5ffc.meta
    |   |   `-- master
    |   |       |-- tasks
    |   |       `-- vms
    |   |           |-- 2e1fb5d3-03d9-4129-bec6-96558806753d
    |   |           |   `-- 2e1fb5d3-03d9-4129-bec6-96558806753d.ovf
    |   |           `-- e3c6b866-4ec4-43ef-93dc-f5d98f4470d8
    |   |               `-- e3c6b866-4ec4-43ef-93dc-f5d98f4470d8.ovf
    |   `-- mastersd -> /rhev/data-center/mnt/_storage/477214bd-9fd3-4d70-9066-18d77b8f1b9d  [recursive, not followed]
    |-- hsm-tasks
    `-- mnt
        |-- blockSD
        |-- _storage -> /storage
        |   `-- 477214bd-9fd3-4d70-9066-18d77b8f1b9d
        |       |-- dom_md
        |       |   |-- ids
        |       |   |-- inbox
        |       |   |-- leases
        |       |   |-- metadata
        |       |   `-- outbox
        |       |-- images
        |       |   |-- df31a760-f418-4e5f-a495-abbbf38bfb26
        |       |   |   |-- 4d4a2f8c-2ebe-4f38-875b-0c79ba6a49b5
        |       |   |   `-- 4d4a2f8c-2ebe-4f38-875b-0c79ba6a49b5.meta
        |       |   `-- ffd021e0-45ae-429a-ae19-bc440aa01846
        |       |       |-- 4db5f5a2-65bc-4a1b-baf5-ea3b286f5ffc
        |       |       `-- 4db5f5a2-65bc-4a1b-baf5-ea3b286f5ffc.meta
        |       `-- master
        |           |-- tasks
        |           `-- vms
        |               |-- 2e1fb5d3-03d9-4129-bec6-96558806753d
        |               |   `-- 2e1fb5d3-03d9-4129-bec6-96558806753d.ovf
        |               `-- e3c6b866-4ec4-43ef-93dc-f5d98f4470d8
        |                   `-- e3c6b866-4ec4-43ef-93dc-f5d98f4470d8.ovf
        |-- vm-18-177.eng.lab.tlv.redhat.com:_tmp_si-002
        |-- white-rhevmb.eng.lab.tlv.redhat.com:_mnt_ic137
        `-- white-rhevmb.eng.lab.tlv.redhat.com:_mnt_ic139iso

30 directories, 22 files

After deleteImage:

[root@nari12 vdsm]# cat /rhev/data-center/mnt/_storage/477214bd-9fd3-4d70-9066-18d77b8f1b9d/images/df31a760-f418-4e5f-a495-abbbf38bfb26/4d4a2f8c-2ebe-4f38-875b-0c79ba6a49b5.meta
DOMAIN=477214bd-9fd3-4d70-9066-18d77b8f1b9d
VOLTYPE=LEAF
CTIME=1338378238
FORMAT=RAW
IMAGE=df31a760-f418-4e5f-a495-abbbf38bfb26
DISKTYPE=2
PUUID=00000000-0000-0000-0000-000000000000
LEGALITY=LEGAL
MTIME=1338378238
POOL_UUID=
DESCRIPTION=
TYPE=SPARSE
SIZE=10485760
EOF



Version-Release number of selected component (if applicable):
vdsm-4.9.6-14.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Delete the vm on local storage
2.
3.
  
Actual results:
image was not removed

Expected results:


Additional info:
Comment 1 Haim 2012-05-31 07:42:49 EDT
please attach both engine and vdsm log capturing delete image command.

Note You need to log in before you can comment on or make changes to this bug.